This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 743284 - RFE: Unable to edit details of channel through the api, although you can through the web ui
RFE: Unable to edit details of channel through the api, although you can thro...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
1.5
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
: Reopened
Depends On:
Blocks: spacewalk-rfe space16
  Show dependency treegraph
 
Reported: 2011-10-04 09:39 EDT by lance dillon
Modified: 2011-12-22 11:51 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-22 11:51:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description lance dillon 2011-10-04 09:39:33 EDT
Description of problem:
There does not seem to be a way to edit the details of a channel (for example, gpg key information) that already exists through the api, although you can through the web ui.  The only api methods that seem to exist that can manage those are channel.software.clone and channel.software.create, and those don't edit current channels, they create new channels.
Comment 1 Tomas Lestach 2011-10-04 09:58:37 EDT
channel_map parameter of channel.software.setDetails contains also:
 string "gpg_key_url" - new channel gpg key url (optional)
 string "gpg_key_id" - new channel gpg key id (optional)
 string "gpg_key_fp" - new channel gpg key fingerprint (optional)

Looks implemented for me. Closing as CURRENTRELEASE.
Comment 2 lance dillon 2011-10-04 10:28:41 EDT
Thanks, I was only looking at the currently released version (1.5), not at the nightly (http://spacewalk.redhat.com/yum/nightly/RHEL/5/x86_64).  I will probably end up waiting for the official 1.6 release.

Thanks
Comment 3 Tomas Lestach 2011-10-04 11:06:31 EDT
Oh, I am sorry. I thought it's in Spacewalk 1.5. My fault.

This feature was implemented within Bug 662200.

Moving back to MODIFIED.
Comment 4 Milan Zazrivec 2011-12-22 11:51:18 EST
Spacewalk 1.6 has been released.

Note You need to log in before you can comment on or make changes to this bug.